<template>
  <div class="text-subtitle-2 font-weight-black mb-1">
    <span>
      {{ text }}
    </span>
    <HelpIcon v-if="help" :text="help" />
    <v-tooltip v-if="link" location="top" :max-width="640">
      <template #activator="{ props: tooltipProps }">
        <a :href="link" target="_blank" tabindex="-1">
          <v-icon
            v-bind="tooltipProps"
            size="small"
            color="rgb(var(--v-theme-on-surface))"
            >mdi-open-in-new
          </v-icon>
        </a>
      </template>
      {{ linkText ? linkText : link }}
    </v-tooltip>
  </div>
</template>

<script setup lang="ts">
const props = defineProps<{
  text: string;
  help?: string;
  link?: string;
  linkText?: string;
}>();
const { text, help, link, linkText } = toRefs(props);
</script>
